> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Criminal Check

> Get a criminal check by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /criminal_checks/{id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /criminal_checks/{id}:
    get:
      tags:
        - Criminal Checks
      summary: Get Criminal Check
      description: Get a criminal check by ID.
      operationId: get_criminal_check_criminal_checks__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.CriminalCheckResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.CriminalCheckResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the criminal check.
          examples:
            - 95853639-eb23-4329-9b92-ddca3eabaaba
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the criminal check was created.
          examples:
            - '2026-08-31T10:31:07.766137'
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
          description: The date and time when the criminal check was last updated.
          examples:
            - '2026-08-31T10:31:07.766150'
        first_name:
          type: string
          title: First Name
          description: The first name of the person.
          examples:
            - John
        last_name:
          type: string
          title: Last Name
          description: The last name of the person.
          examples:
            - Smith
        date_of_birth:
          type: string
          format: date
          title: Date Of Birth
          description: The date of birth of the person.
          examples:
            - '1990-01-15'
        ssn:
          type: string
          title: Ssn
          description: >-
            The social security number of the person, masked up to the final
            four digits
          examples:
            - XXXXX1234
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Middle Name
          description: The middle name of the person.
          examples:
            - Mary Louise
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
          description: The phone number of the person in E.164 format.
          examples:
            - '+14155552671'
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The email address of the person.
          examples:
            - john.doe@example.com
        primary_address:
          anyOf:
            - $ref: '#/components/schemas/v1.CriminalCheckAddressResponse'
            - type: 'null'
          description: The primary address of the person.
          examples:
            - city: Anytown
              state: CA
              street: 123 Main St
              zip: '12345'
        additional_addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.CriminalCheckAddressResponse'
              type: array
            - type: 'null'
          title: Additional Addresses
          description: A list of additional addresses of the person.
          examples:
            - - city: Anytown
                state: CA
                street: 456 Test Blvd
                zip: '12345'
        check_type:
          $ref: '#/components/schemas/CriminalCheckType'
          description: The type of criminal check that was run.
          examples:
            - instant_criminal
        results:
          items:
            $ref: '#/components/schemas/v1.CriminalRecordResponse'
          type: array
          title: Results
          description: Array of criminal records; empty when none are found.
        reference_id:
          anyOf:
            - maxLength: 64
              type: string
            - type: 'null'
          title: Reference Id
          description: The reference ID associated with this request.
          examples:
            - Check1234
      type: object
      required:
        - id
        - created_at
        - first_name
        - last_name
        - date_of_birth
        - ssn
        - check_type
        - results
      title: CriminalCheckResponse (v1)
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.CriminalCheckAddressResponse:
      properties:
        street:
          description: Street name of the address.
          examples:
            - 913 Hendrix Gardens Suite 492
          title: Street
          type: string
        city:
          description: City name of the address.
          examples:
            - Jasonfurt
          title: City
          type: string
        state:
          $ref: '#/components/schemas/StateAbbreviation'
          description: State 2 letter abbreviation of the address.
          examples:
            - VA
        zip:
          description: Zip code of the address.
          examples:
            - '19773'
          title: Zip
          type: string
      type: object
      required:
        - street
        - city
        - state
        - zip
      title: CriminalCheckAddressResponse (v1)
    CriminalCheckType:
      type: string
      enum:
        - instant_criminal
        - sex_offender_registry
      title: CriminalCheckType
      description: The type of criminal check to run.
    v1.CriminalRecordResponse:
      properties:
        category:
          $ref: '#/components/schemas/RecordCategory'
          description: The category of the criminal record.
          examples:
            - arrest
            - Criminal/traffic
            - Warrant
            - Sex Offender
            - Patriot
            - Registry
            - unknown
        person:
          $ref: '#/components/schemas/v1.CriminalPersonResponse'
          description: A summary of the person associated with the criminal record
          examples:
            - addresses:
                - city: Anytown
                  state: CA
                  street: 123 Main St
                  zip: '12345'
              date_of_birth: '1990-01-15'
              date_precision: FULL
              doc_number: '1234567890'
              ethnicity: Hispanic-American
              eye_color: HAZ
              first_name: John
              gender: M
              hair_color: BRN
              height: '601'
              last_name: Smith
              middle_name: Michael
              name_aliases:
                - Mohn Jichael Smith
              race: W
              weight: '180'
        source:
          $ref: '#/components/schemas/v1.CriminalRecordResultSourceResponse'
          description: The source of the criminal record.
        cases:
          items:
            $ref: '#/components/schemas/v1.CriminalRecordCaseResponse'
          type: array
          title: Cases
          description: A list of cases associated with the criminal record.
      type: object
      required:
        - category
        - person
        - source
        - cases
      title: CriminalRecordResponse (v1)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    RecordCategory:
      type: string
      enum:
        - arrest
        - Criminal/traffic
        - Warrant
        - Sex Offender
        - Patriot
        - Registry
        - unknown
      title: RecordCategory
      description: >-
        Categorization of a returned record.


        Maps closely to the source category, except PA sources can contain
        either

        Patriot or Registry records.
    v1.CriminalPersonResponse:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: The first name of the person.
          examples:
            - John
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Middle Name
          description: Middle initial, name, or names.
          examples:
            - W
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: The last name of the person.
          examples:
            - Smith
        suffix:
          anyOf:
            - type: string
            - type: 'null'
          title: Suffix
          description: The suffix of the person.
          examples:
            - Jr.
            - Sr.
        date_of_birth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Of Birth
          description: >-
            The date of birth of the person. When present, may be a partial
            date. date_precision will always be present when date_of_birth is
            present.
          examples:
            - '1990-01-15'
            - '0001-05-15'
        date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date of birth of the person.
          examples:
            - ONLY_YEAR
            - ONLY_MONTH
            - ONLY_DAY
            - FULL
        inferred_date_of_birth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Inferred Date Of Birth
          description: >-
            A date of birth inferred from other similar records, when available.
            When present, will always be a full date and therefore has no
            accompanying date_precision field.
          examples:
            - '1990-01-15'
        doc_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Doc Number
          description: Dept. of Corrections number.
        gender:
          anyOf:
            - $ref: '#/components/schemas/Gender'
            - type: 'null'
          description: The gender of the person.
          examples:
            - M
        height:
          anyOf:
            - type: string
            - type: 'null'
          title: Height
          description: The height of the person.
          examples:
            - '601'
        weight:
          anyOf:
            - type: string
            - type: 'null'
          title: Weight
          description: The weight of the person.
          examples:
            - '180'
        hair_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Hair Color
          description: The hair color of the person.
          examples:
            - BRN
        eye_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Eye Color
          description: The eye color of the person.
          examples:
            - HAZ
        skin_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Skin Color
          description: The skin color of the person.
          examples:
            - wht
        race:
          anyOf:
            - type: string
            - type: 'null'
          title: Race
          description: The race of the person.
          examples:
            - W
        ethnicity:
          anyOf:
            - type: string
            - type: 'null'
          title: Ethnicity
          description: The ethnicity of the person.
          examples:
            - Hispanic-American
        physical_build:
          anyOf:
            - type: string
            - type: 'null'
          title: Physical Build
          description: The physical build of the person.
          examples:
            - BROAD
        physical_marks:
          anyOf:
            - type: string
            - type: 'null'
          title: Physical Marks
          description: The physical marks of the person.
          examples:
            - blue cross on outside left ankle
        photo_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Photo Urls
          description: A list of photo URLs associated with the person.
        name_aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Name Aliases
          description: A list of name aliases associated with the person.
          examples:
            - - Johnny Smith
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.CriminalCheckAddressResponse'
              type: array
            - type: 'null'
          title: Addresses
          description: A list of addresses associated with the person.
          examples:
            - - city: Anytown
                state: CA
                street: 123 Main St
                zip: '12345'
      type: object
      title: CriminalPersonResponse (v1)
    v1.CriminalRecordResultSourceResponse:
      properties:
        category:
          $ref: '#/components/schemas/SourceCategory'
          description: The category of the source.
          examples:
            - arrest
            - court
            - criminal registry
            - DOC
            - warrant
            - sex offender registry
            - domestic watchlist
            - foreign watchlist
            - healthcare registry
            - healthcare sanctions
            - financial registry
            - financial sanctions
            - other registry
            - other sanctions
            - PEP registry
            - unknown
        name:
          type: string
          title: Name
          description: A human readable name of the source.
          examples:
            - KY Franklin County Inmates
        county:
          anyOf:
            - type: string
            - type: 'null'
          title: County
          description: The name of the county from which the record originated.
          examples:
            - Franklin
        county_fips_code:
          anyOf:
            - type: string
              maxLength: 5
              minLength: 5
            - type: 'null'
          title: County Fips Code
          description: 5-digit county FIPS code; present for county checks.
          examples:
            - '17031'
        state:
          anyOf:
            - $ref: '#/components/schemas/StateAbbreviation'
              maxLength: 2
              minLength: 2
            - type: 'null'
          description: Two-letter US state code from which the record originated.
          examples:
            - CA
      type: object
      required:
        - category
        - name
      title: CriminalRecordResultSourceResponse (v1)
    v1.CriminalRecordCaseResponse:
      properties:
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
          description: The case number assigned by the court
          examples:
            - 2025-99999
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Case type as reported by the court.
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Case status as reported by the court.
        file_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: File Date
          description: >-
            Date the case was filed, as reported by the court. When present, may
            be a partial date. file_date_precision will always be present when
            file_date is present.
          examples:
            - '2025-01-01'
        file_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date the case was filed.
          examples:
            - FULL
        arresting_agency:
          anyOf:
            - type: string
            - type: 'null'
          title: Arresting Agency
          description: Name of the arresting agency
          examples:
            - Franklin County Sheriff
        arrest_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Arrest Date
          description: >-
            Date of arrest. When present, may be a partial date.
            arrest_date_precision will always be present when arrest_date is
            present.
          examples:
            - '2025-01-01'
        arrest_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date of arrest.
          examples:
            - FULL
        court_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Name
          description: Name of the charging court
          examples:
            - Franklin County Circuit Court
        court_county:
          anyOf:
            - type: string
            - type: 'null'
          title: Court County
          description: County of the charging court
          examples:
            - Franklin
        identity_match_confidence_level:
          anyOf:
            - $ref: '#/components/schemas/IdentityMatchConfidenceLevel'
            - type: 'null'
          description: The confidence level of the identity match.
          examples:
            - high
        charges:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.CriminalChargeResponse'
              type: array
            - type: 'null'
          title: Charges
          description: A list of charges associated with the case.
      type: object
      title: CriminalRecordCaseResponse (v1)
    DatePrecision:
      type: string
      enum:
        - NO_YEAR
        - NO_MONTH
        - NO_DAY
        - ONLY_YEAR
        - ONLY_MONTH
        - ONLY_DAY
        - FULL
      title: DatePrecision
    Gender:
      enum:
        - M
        - F
      title: Gender
      type: string
    SourceCategory:
      type: string
      enum:
        - arrest
        - court
        - criminal registry
        - DOC
        - warrant
        - sex offender registry
        - domestic watchlist
        - foreign watchlist
        - healthcare registry
        - healthcare sanctions
        - financial registry
        - financial sanctions
        - other registry
        - other sanctions
        - PEP registry
        - unknown
      title: SourceCategory
      description: Categorization of the source a record was retrieved from.
    IdentityMatchConfidenceLevel:
      type: string
      enum:
        - high
        - medium
        - low
        - unknown
        - insufficient_information
      title: IdentityMatchConfidenceLevel
      description: |-
        How strongly a criminal case aligns with the submitted PII.

        high/medium/low are assigned by Checkr's ML algorithm. ``unknown`` means
        identity matching was enabled but no label could be determined for the
        case; ``insufficient_information`` means identity matching was skipped.
        Omitted entirely when identity matching was not enabled for the check.
    v1.CriminalChargeResponse:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the charge, as reported on the record.
          examples:
            - SHOPLIFTING
        offense_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Offense Date
          description: >-
            The date of the offense. When present, may be a partial date.
            offense_date_precision will always be present when offense_date is
            present.
          examples:
            - '2025-01-01'
        offense_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date of the offense.
          examples:
            - ONLY_YEAR
            - ONLY_MONTH
            - ONLY_DAY
            - FULL
        legal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Legal Code
          description: The legal code of the charge.
          examples:
            - '433.234'
        type:
          anyOf:
            - $ref: '#/components/schemas/ChargeType'
            - type: 'null'
          description: The type of the charge.
          examples:
            - felony
            - misdemeanor
            - petty_offense
            - unknown
        category:
          anyOf:
            - $ref: '#/components/schemas/ChargeCategory'
            - type: 'null'
          description: The category of the charge.
          examples:
            - Criminal Intent
            - Drugs & Alcohol
            - Fraud & Deception
            - Homicide
            - Security
            - Sexual
            - Statutory
            - Theft & Property
            - Vehicles & Traffic
            - Violence
            - unclassified
        subcategory:
          anyOf:
            - $ref: '#/components/schemas/ChargeSubcategory'
            - type: 'null'
          description: The subcategory of the charge.
          examples:
            - Accessory
            - Conspiracy
            - Court Orders
            - Criminal Tools
            - Obstruction
            - Organized Crime
            - Alcohol & Tobacco
            - Driving under the Influence (DUI)
            - Drugs-Marijuana Possession/Use
            - Drugs-Possession/Use
            - Drugs-Sale & Manufacture
            - Bribery & Corruption
            - Business & Tax
            - Cyber Crimes
            - Embezzlement
            - Forgery
            - Fraud
            - Identity Theft & Impersonation
            - Worthless Check
            - Attempted Homicide
            - Intentional Homicide
            - Unintentional Killing
            - Immigration
            - Terrorism
            - Treason
            - Lewd Behavior
            - Prostitution
            - Sexual Abuse
            - Animal Ordinances
            - Custody & Support
            - Fish & Game
            - Gambling
            - Miscellaneous Citations & Violations
            - Public Nuisance
            - Safety & Zoning
            - Arson
            - Burglary
            - Petty Theft
            - Possession of Stolen Property
            - Robbery
            - Theft
            - Trespassing
            - Vandalism & Mischief
            - License & Registration
            - Parking
            - Speeding
            - Unsafe Operation
            - Vehicle Equipment
            - Abduction & Restraint
            - Animal Cruelty
            - Assault & Battery
            - Child & Elder Abuse
            - Disorderly Behavior
            - Harassment & Threats
            - Weapons & Endangerment
            - unclassified
        subsubcategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Subsubcategory
          description: The subsubcategory of the charge.
          examples:
            - SHOPLIFTING
        record_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Record Date
          description: >-
            The date the charge was recorded. When present, may be a partial
            date. record_date_precision will always be present when record_date
            is present.
          examples:
            - '2025-01-01'
        record_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date the charge was recorded.
          examples:
            - ONLY_YEAR
            - ONLY_MONTH
            - ONLY_DAY
            - FULL
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city of the charge.
          examples:
            - Indian Hills
        county:
          anyOf:
            - type: string
            - type: 'null'
          title: County
          description: The county of the charge.
          examples:
            - Jefferson
        state:
          anyOf:
            - $ref: '#/components/schemas/StateAbbreviation'
            - type: 'null'
          description: The state of the charge.
          examples:
            - CA
        sentences:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.SentenceResponse'
              type: array
            - type: 'null'
          title: Sentences
          description: A list of sentences associated with the charge.
        dispositions:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.DispositionResponse'
              type: array
            - type: 'null'
          title: Dispositions
          description: A list of dispositions associated with the charge.
      type: object
      title: CriminalChargeResponse (v1)
    ChargeType:
      type: string
      enum:
        - felony
        - misdemeanor
        - petty_offense
        - unknown
      title: ChargeType
      description: The level / severity of a charge.
    ChargeCategory:
      type: string
      enum:
        - Criminal Intent
        - Drugs & Alcohol
        - Fraud & Deception
        - Homicide
        - Security
        - Sexual
        - Statutory
        - Theft & Property
        - Vehicles & Traffic
        - Violence
        - unclassified
      title: ChargeCategory
      description: The highest level of categorization of a charge.
    ChargeSubcategory:
      type: string
      enum:
        - Accessory
        - Conspiracy
        - Court Orders
        - Criminal Tools
        - Obstruction
        - Organized Crime
        - Alcohol & Tobacco
        - Driving under the Influence (DUI)
        - Drugs-Marijuana Possession/Use
        - Drugs-Possession/Use
        - Drugs-Sale & Manufacture
        - Bribery & Corruption
        - Business & Tax
        - Cyber Crimes
        - Embezzlement
        - Forgery
        - Fraud
        - Identity Theft & Impersonation
        - Worthless Check
        - Attempted Homicide
        - Intentional Homicide
        - Unintentional Killing
        - Immigration
        - Terrorism
        - Treason
        - Lewd Behavior
        - Prostitution
        - Sexual Abuse
        - Animal Ordinances
        - Custody & Support
        - Fish & Game
        - Gambling
        - Miscellaneous Citations & Violations
        - Public Nuisance
        - Safety & Zoning
        - Arson
        - Burglary
        - Petty Theft
        - Possession of Stolen Property
        - Robbery
        - Theft
        - Trespassing
        - Vandalism & Mischief
        - License & Registration
        - Parking
        - Speeding
        - Unsafe Operation
        - Vehicle Equipment
        - Abduction & Restraint
        - Animal Cruelty
        - Assault & Battery
        - Child & Elder Abuse
        - Disorderly Behavior
        - Harassment & Threats
        - Weapons & Endangerment
        - unclassified
      title: ChargeSubcategory
      description: The second level of categorization of a charge.
    v1.SentenceResponse:
      properties:
        conviction_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Conviction Date
          description: >-
            Date of conviction. When present, may be a partial date.
            conviction_date_precision will always be present when
            conviction_date is present.
          examples:
            - '2025-01-01'
        conviction_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date of conviction.
          examples:
            - FULL
        details:
          anyOf:
            - type: string
            - type: 'null'
          title: Details
          description: Description of the sentence.
          examples:
            - fine, 1D
      type: object
      title: SentenceResponse (v1)
    v1.DispositionResponse:
      properties:
        disposition:
          anyOf:
            - type: string
            - type: 'null'
          title: Disposition
          description: Disposition description as provided by the court.
          examples:
            - GLT
        disposition_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Disposition Date
          description: >-
            Date of disposition. When present, may be a partial date.
            disposition_date_precision will always be present when
            disposition_date is present.
          examples:
            - '2025-01-01'
        disposition_date_precision:
          anyOf:
            - $ref: '#/components/schemas/DatePrecision'
            - type: 'null'
          description: The precision of the date of disposition.
          examples:
            - FULL
        disposition_type:
          $ref: '#/components/schemas/DispositionType'
          examples:
            - Conviction
            - Dismissed
            - Invalid
            - Merged
            - Pending
            - Transferred
            - Warrant
            - Unclassified
      type: object
      required:
        - disposition_type
      title: DispositionResponse (v1)
    DispositionType:
      type: string
      enum:
        - Conviction
        - Dismissed
        - Invalid
        - Merged
        - Pending
        - Transferred
        - Warrant
        - Unclassified
      title: DispositionType
      description: The type of disposition.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````